import fs from 'fs'
import path from 'path'
const TEMP_DIR = path.resolve("./chatterbox");
const FAILED_LOG = path.resolve(TEMP_DIR, "failed.log");
const HOST = "https://office4-chatterbox.wibudev.com";
const LIST_FILE_NAME = "wav-list.txt";
const JOBS_DIR = path.resolve(TEMP_DIR, "jobs");
const OUTPUT = path.resolve(TEMP_DIR, "output")
const PART = path.resolve(TEMP_DIR, "part")

if (!fs.existsSync(TEMP_DIR)) {
    fs.mkdirSync(TEMP_DIR, { recursive: true });
}

if (!fs.existsSync(JOBS_DIR)) {
    fs.mkdirSync(JOBS_DIR, { recursive: true });
}

if (!fs.existsSync(OUTPUT)) {
    fs.mkdirSync(OUTPUT, { recursive: true });
}

if (!fs.existsSync(PART)) {
    fs.mkdirSync(PART, { recursive: true });
}

export { TEMP_DIR, FAILED_LOG, HOST, JOBS_DIR, LIST_FILE_NAME, OUTPUT, PART };
